dispL = evalin('base','dispL');   % Load disparity maps from the base workspace
dispR = evalin('base','dispR');
S.fh = figure('units','pixels',...  % Create GUI
              'position',[200 200 700 400],...
              'menubar','none',...
              'numbertitle','off',...
              'name','Disparity maps',...
              'resize','off');
S.ax1 = axes('units','pixels',...
            'position',[35 0 300 500]);
S.R1 = imshow(dispL,[-150 150]);  % Display the image on S.ax.
S.ax2 = axes('units','pixels',...
            'position',[365 0 300 500]);
S.R2 = imshow(dispR,[-150 150]);  % Display the image on S.ax.

S.pb_2 = uicontrol('style','push',... % Push to get new views
                 'units','pix',...
                 'position',[200 70 300 40],...
                 'backgroundcolor','w',...
                 'HorizontalAlign','left',...
                 'string','Get New Views Now!',...
                 'fontsize',14,'fontweight','bold',...
                 'callback',{@pb_call_2,S});
             
function [] = pb_call_2(varargin)

 closereq;
 Step5();
 
 end